/**
 * convertapi
 * Convert API lets you effortlessly convert file formats and types.
 *
 * OpenAPI spec version: v1
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.5
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/HtmlThreatLink'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./HtmlThreatLink'));
  } else {
    // Browser globals (root is window)
    if (!root.CloudmersiveConvertApiClient) {
      root.CloudmersiveConvertApiClient = {};
    }
    root.CloudmersiveConvertApiClient.HtmlSsrfThreatCheckResult = factory(root.CloudmersiveConvertApiClient.ApiClient, root.CloudmersiveConvertApiClient.HtmlThreatLink);
  }
}(this, function(ApiClient, HtmlThreatLink) {
  'use strict';




  /**
   * The HtmlSsrfThreatCheckResult model module.
   * @module model/HtmlSsrfThreatCheckResult
   * @version 2.8.0
   */

  /**
   * Constructs a new <code>HtmlSsrfThreatCheckResult</code>.
   * HTML SSRF validation result
   * @alias module:model/HtmlSsrfThreatCheckResult
   * @class
   */
  var exports = function() {
    var _this = this;




  };

  /**
   * Constructs a <code>HtmlSsrfThreatCheckResult</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/HtmlSsrfThreatCheckResult} obj Optional instance to populate.
   * @return {module:model/HtmlSsrfThreatCheckResult} The populated <code>HtmlSsrfThreatCheckResult</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('IsValid')) {
        obj['IsValid'] = ApiClient.convertToType(data['IsValid'], 'Boolean');
      }
      if (data.hasOwnProperty('IsThreat')) {
        obj['IsThreat'] = ApiClient.convertToType(data['IsThreat'], 'Boolean');
      }
      if (data.hasOwnProperty('ThreatLinks')) {
        obj['ThreatLinks'] = ApiClient.convertToType(data['ThreatLinks'], [HtmlThreatLink]);
      }
    }
    return obj;
  }

  /**
   * True if the document is valid and has no errors, false otherwise
   * @member {Boolean} IsValid
   */
  exports.prototype['IsValid'] = undefined;
  /**
   * True if the document contains an SSRF threat, false otherwise
   * @member {Boolean} IsThreat
   */
  exports.prototype['IsThreat'] = undefined;
  /**
   * Links found in the input HTML that contains threats
   * @member {Array.<module:model/HtmlThreatLink>} ThreatLinks
   */
  exports.prototype['ThreatLinks'] = undefined;



  return exports;
}));


